Subject: bug#25538: closed (Re: bug#25538: uncompressed gzip releases please)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Mar 2017 16:41:02 +0000

Your bug report

#25538: uncompressed gzip releases please

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25538: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25538
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25538: uncompressed gzip releases please
From: Jim Meyering <[email-masked]>
To: Karl Berry <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 Mar 2017 09:40:01 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Jan 25, 2017 at 2:34 PM, Karl Berry <[email-masked]> wrote:
> Please make gzip releases in some non-gzip/xz/lzip/bzip form, that is,
> uncompressed or .zip.
>
> I and a colleague just had to waste time explaining to a user how to
> download an old version available as .tar, compile it, and then use that
> to install the new version.  (No, evidently he had no binary. Whatever ...)
>
> It costs nothing to make the releases available in another format than
> .tar.*z, so ... ok? .zip would probably be best, to placate the
> Windows world, but anything would be better than nothing.  --thanks, karl.

Hi Karl,
It's a simple change that is likely to help more than a few, so here's
the diff I'll soon push:
From 7d7e7971532a82d197075d27b63d9f54f2bddd82 Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Sun, 12 Mar 2017 22:42:06 -0700
Subject: [PATCH] maint: also distribute a zip-compressed tarball

* configure.ac (AM_INIT_AUTOMAKE): Add dist-zip, for
those lacking gzip, 7zip, etc.  Suggested by Karl Berry in
https://bugs.gnu.org/25538.
---
 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/configure.ac b/configure.ac
index dc0751d..05aa681 100644
--- a/configure.ac
+++ b/configure.ac
@@ -28,7 +28,8 @@ AC_CONFIG_SRCDIR([gzip.c])
 AC_CONFIG_AUX_DIR([build-aux])
 AC_CONFIG_MACRO_DIR([m4])
 AC_CONFIG_HEADERS([lib/config.h:lib/config.hin])
-AM_INIT_AUTOMAKE([1.11 subdir-objects dist-xz color-tests parallel-tests])
+AM_INIT_AUTOMAKE([1.11 subdir-objects dist-xz dist-zip
+                  color-tests parallel-tests])
 AM_SILENT_RULES([yes]) # make --enable-silent-rules the default.

 dnl POSIXCHECK is worthwhile for maintainers, but adds several seconds
-- 
2.8.0-rc2

Subject: uncompressed gzip releases please
From: Karl Berry <[email-masked]>
To: [email-masked]
Date: Wed, 25 Jan 2017 22:34:43 GMT
List-Id: <debbugs-submit.debbugs.gnu.org>

Please make gzip releases in some non-gzip/xz/lzip/bzip form, that is,
uncompressed or .zip.

I and a colleague just had to waste time explaining to a user how to
download an old version available as .tar, compile it, and then use that
to install the new version.  (No, evidently he had no binary. Whatever ...)

It costs nothing to make the releases available in another format than
.tar.*z, so ... ok? .zip would probably be best, to placate the
Windows world, but anything would be better than nothing.  --thanks, karl.